<template>
    <view class="section">
        <up-row>
            <up-col span="6">
                <view class="row">
                    <up-icon v-if="iconName" :name="iconName" :size="iconSize" :color="iconColor" />
                    <text class="theme-text left-text">{{ title }}</text>
                </view>
            </up-col>
            <up-col span="3" />
            <up-col span="3">
                <view class="row-right" @click="go(goUrl)">
                    <text class="theme-text right-text">{{ optitle }}</text>
                    <up-icon name="arrow-rightward" size="25rpx" :color="opIconColor" />
                </view>
            </up-col>
        </up-row>
    </view>
</template>

<script setup lang="ts">
import { useRouter } from 'vue-router'

const props = defineProps({
    iconName: {
        type: String,
        default: ''
    },
    iconSize: {
        type: [String, Number],
        default: 40
    },
    iconColor: {
        type: String,
        default: 'yellow'
    },
    title: {
        type: String,
        default: ''
    },
    optitle: {
        type: String,
        default: ''
    },
    opIconColor: {
        type: String,
        default: 'black'
    },
    goUrl: {
        type: String,
        default: ''
    }
})

function go(url: string) {
    if (url) {
        uni.navigateTo({
            url
        })
    }
}
</script>

<style lang="scss" scoped>
.section {
    margin-top: 30rpx;
}

.row {
    display: flex;
    align-items: center;
    padding: 20rpx 0;
}

.row-right {
    display: flex;
    align-items: center;
    padding: 20rpx 0;
    justify-content: flex-end;
}

.left-text {
    font-size: 40rpx;
    font-weight: bold;
    color: var(--icon-color);
    letter-spacing: 5rpx;
}

.right-text {
    font-size: 25rpx;
    margin-right: 10rpx;
}

.theme-text {
    margin-left: 10rpx;
}
</style>